# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.3")
   message(FATAL_ERROR "CMake >= 2.8.3 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.3...3.26)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS TKService TKV3d TKOpenGl TKOpenGles TKMeshVS TKIVtk)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr/local/OpenCAS")

# Create imported target TKService
add_library(TKService SHARED IMPORTED)

set_target_properties(TKService PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include/OpenCASCADE"
  INTERFACE_LINK_LIBRARIES "TKernel;TKMath;X11;fontconfig;/usr/local/lib/libfreeimage.so;/usr/local/lib/libfreetype.so;/usr/local/ffmpeg4/lib/libavcodec.so;/usr/local/ffmpeg4/lib/libavformat.so;/usr/local/ffmpeg4/lib/libswscale.so;/usr/local/ffmpeg4/lib/libavutil.so"
)

# Create imported target TKV3d
add_library(TKV3d SHARED IMPORTED)

set_target_properties(TKV3d PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include/OpenCASCADE"
  INTERFACE_LINK_LIBRARIES "TKBRep;TKMath;TKernel;TKService;TKShHealing;TKTopAlgo;TKG2d;TKG3d;TKGeomBase;TKMesh;TKGeomAlgo;TKHLR;GL;X11;/usr/local/lib/libfreetype.so"
)

# Create imported target TKOpenGl
add_library(TKOpenGl SHARED IMPORTED)

set_target_properties(TKOpenGl PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include/OpenCASCADE"
  INTERFACE_LINK_LIBRARIES "TKernel;TKService;TKMath;GL;X11"
)

# Create imported target TKOpenGles
add_library(TKOpenGles SHARED IMPORTED)

set_target_properties(TKOpenGles PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include/OpenCASCADE"
  INTERFACE_LINK_LIBRARIES "TKernel;TKService;TKMath;/usr/local/lib/libfreetype.so;/usr/local/lib/libEGL.so;/usr/local/lib/libEGL.so;/usr/local/lib/libGLESv2.so;/usr/local/lib/libGLESv2.so;X11"
)

# Create imported target TKMeshVS
add_library(TKMeshVS SHARED IMPORTED)

set_target_properties(TKMeshVS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include/OpenCASCADE"
  INTERFACE_LINK_LIBRARIES "TKV3d;TKMath;TKService;TKernel;TKG3d;TKG2d"
)

# Create imported target TKIVtk
add_library(TKIVtk SHARED IMPORTED)

set_target_properties(TKIVtk PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/usr/local/include/OpenCASCADE"
  INTERFACE_LINK_LIBRARIES "TKernel;TKBRep;TKG2d;TKG3d;TKGeomAlgo;TKGeomBase;TKMath;TKMesh;TKService;TKTopAlgo;TKV3d;VTK::CommonCore;VTK::RenderingCore;VTK::RenderingFreeType;VTK::FiltersGeneral;VTK::InteractionStyle;VTK::RenderingOpenGL2;VTK::RenderingGL2PSOpenGL2"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/OpenCASCADEVisualizationTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
    if(NOT EXISTS "${_cmake_file}")
      message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# Make sure the targets which have been exported in some other
# export set exist.
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
foreach(_target "TKernel" "TKMath" "TKBRep" "TKShHealing" "TKTopAlgo" "TKG2d" "TKG3d" "TKGeomBase" "TKMesh" "TKGeomAlgo" "TKHLR" )
  if(NOT TARGET "${_target}" )
    set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets "${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets} ${_target}")
  endif()
endforeach()

if(DEFINED ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
  if(CMAKE_FIND_PACKAGE_NAME)
    set( ${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
    set( ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  else()
    message(FATAL_ERROR "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  endif()
endif()
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
